Update Evaluation Group

Updates an entire evaluation group's details.

Update Evaluation Group

Updates an entire evaluation group’s details.

PUT https://api.futureagi.com/model-hub/eval-groups/{id}/
Bearer
id *
          Click "Try It" to send a request
        

Authentication

This endpoint requires authentication. Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Parameters

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe UUID of the evaluation group to update.

Request Body

Responses

200

Evaluation group updated successfully.

400

Bad Request. Invalid data or group not found.

401

Unauthorized. Authentication credentials were not provided or are invalid.

Code Examples

cURL

curl -X PUT "https://api.futureagi.com/model-hub/eval-groups/{id}/" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Python

import requests

url = "https://api.futureagi.com/model-hub/eval-groups/{id}/"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)
print(response.json())

JavaScript

const response = await fetch("https://api.futureagi.com/model-hub/eval-groups/{id}/", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
  },
});

const data = await response.json();
console.log(data);
Was this page helpful?

Questions & Discussion